+================================================
+                                                 
+ Wraps X values around the Y axis, values are output as A
+ This post processor is suitable for Aspire =>2.1 / VCarve Pro + =>5.1
+ Use this post with the Laguna HHC 4th-Axis Rotary (4 Axis)
+ Control
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      When       What                         
+ ======== =========== ===========================
+ Mark     06/05/2009 Written
+ Mark     30/11/2009 Added TOOLPATHS_OUTPUT.
+ Brian    15/12/2009 Remove M05 from NEW_SEGMENT
+ Routerbob8/31/2012  Changed wrapping to Y and
+ Max      08/28/2018 Updated Name and Header
+================================================

POST_NAME = "Laguna HHC Rotary Y-Axis(mm)(*.mmg)"

FILE_EXTENSION = "mmg"

UNITS = "MM"

ROTARY_WRAP_X = "A"

SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 1
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|A|X|1.3]
VAR Y_POSITION = [Y|A|Y|1.3]
VAR Z_POSITION = [Z|A|Z|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.4]
VAR Y_HOME_POSITION = [YH|A|Y|1.4]
VAR Z_HOME_POSITION = [ZH|A|Z|1.4]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.4]
VAR WRAP_DIAMETER = [WRAP_DIA|A||1.4]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"[N] (Filename:  [TP_FILENAME])"
"[N] (Machine:  Laguna HHC)"
"[N] (Axis of Rotation: Y)"
"[N] (Tool: [TOOLNAME])"
"[N] M03"
+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"[N] G00 [X] [Y] [Z]"


+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[N] G01 [X] [Y] [Z]"


+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER


"[N] G00 [ZH]"
"[N] M05"
"[N] M30"
"%"